petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISGetMinMax

Gets the minimum and maximum values in an IS

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISGetMinMax(IS is,PetscInt *min,PetscInt *max)

Not Collective

### Input Parameter

is -the index set

### Output Parameter

| min | - the minimum value
| max | - the maximum value

### Notes

Empty index sets return min=PETSC_MAX_INT and max=PETSC_MIN_INT. In parallel, it returns the min and max of the local portion of the IS

### See Also

ISGetIndices(), ISRestoreIndices(), ISGetIndicesF90()

### Level

intermediate

### Location

src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages